<template>
  <div
    class="input input-search"
    :class="dark ? 'input_dark' : ''">
    <div class="input_inner">
      <label
        :for="fieldAttributeName"
        v-show="label && !value">{{label}}</label>
      <input
        :type="type"
        :id="fieldAttributeName"
        :value="value"
        :placeholder="label ? '' : placeholder"
        :style="{color:color}"
        @input="updateInput">
    </div>
    <div class="input_append">
      <img
        src="~/static/icons/search.png"
        alt="">
    </div>
  </div>
</template>

<script>
  export default {
    name: "Input_input",
    props: {
      placeholder: {
        type: String,
        default: 'Input value'
      },
      label: [String, Boolean],
      value: {
        type: String,
        default: ''
      },
      type: {
        type: String,
        default: 'text'
      },
      dark: {
        type: Boolean,
        default: false
      },
      color: {
        type: String
      }
    },
    data() {
      return {
        fieldAttributeName: new Date().getTime() + '-input'
      }
    },
    computed: {
    },
    methods: {
      updateInput(val) {
        this.$emit('input', val.target.value);
      }
    }
  }
</script>
